package test;

import main.ConfigureDriver;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.By;
import org.junit.jupiter.params.ParameterizedTest;
import org.junit.jupiter.params.provider.CsvSource;
import static org.junit.jupiter.api.Assertions.assertEquals;

public class TestLogin {
    private static final String LOGIN_PAGE = "https://test.fusil.uk/wp-login.php";
    private static final String USERNAME_BOX_ID = "user_login";
    private static final String PASSWORD_BOX_ID = "user_pass";
    private static final String LOGIN_BUTTON_ID = "wp-submit";
    private static final String EXPECTED_URL = "https://test.fusil.uk/wp-admin/";

    @ParameterizedTest
    @CsvSource({
            "testuser, QUBsucks&UUisBetter",
            "subscriber, drewapicture(incrediblyfunnyjoke!)"
    })
    void testLogin(String usernameText, String passwordText) {
        WebDriver driver = ConfigureDriver.configureDriver();
        driver.manage().window().maximize();
        driver.get(LOGIN_PAGE);

        WebElement username = driver.findElement(By.id(USERNAME_BOX_ID));
        WebElement password = driver.findElement(By.id(PASSWORD_BOX_ID));
        WebElement login = driver.findElement(By.id(LOGIN_BUTTON_ID));

        username.sendKeys(usernameText);
        password.sendKeys(passwordText);
        login.click();

        assertEquals(EXPECTED_URL, driver.getCurrentUrl());
        driver.quit();
    }
}